Summary: GNU shell utilities
Name: sh-utils
Version: 1.16
Release: 8
Copyright: GPL
Group: Utilities/System
Source: ftp://prep.ai.mit.edu/pub/gnu/sh-utils-1.16.tar.gz
Source1: su.pamd
Patch1: sh-utils-1.16-hostname.patch
Patch2: sh-utils-1.16-pam.patch
Patch4: sh-utils-1.16-getutent.patch
Patch5: sh-utils-1.16-mktime.patch
Patch6: sh-utils-1.16-paths.patch
Patch7: sh-utils-1.16-newpam.patch
Patch8: sh-utils-1.16-glibc21.patch
BuildRoot: /var/tmp/sh-utils
Requires: pam >= 0.59
Prereq: /sbin/install-info

%description
The GNU shell utilities provide many of the basic common commands
used (among other things) for shell programming, hence the name.
Nearly all shell scripts use at least one of these programs.

%changelog
* Wed Oct 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- added minor patch for glibc 2.1

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the URLs in spec file
- cleaned up the spec file

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- BuildRoot
- New pam standard.

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Apr 18 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed the sense of the user and root default paths.

* Mon Apr 14 1997 Erik Troan <ewt@redhat.com>
- Fixed getutent patch to define UTMP_READ_INCR
- Modified su.c to define default paths w/o regard to other header files or
  -D style definitions

* Wed Apr 02 1997 Erik Troan <ewt@redhat.com>
- Updated getutent patch for 1.16
- Added mktime patch for 64bit time_t

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- DEFPATH handling moved from ...path.patch to _PATH_DEFPATH*

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch1 -p1 -b .hostname
%patch2 -p1 -b .nopam
%patch4 -p1 -b .getutent
%patch5 -p1 -b .mktime
%patch6 -p1 -b .badpaths
%patch7 -p1 -b .newpam
%patch8 -p1 -b .glibc21
autoconf

# this works around autoconf sanity checks
sleep 2

%build
CFLAGS="$RPM_OPT_FLAGS -DUSE_PAM" LDFLAGS=-s ./configure --prefix=/usr
make PAMLIBS="-ldl -lpam -lpam_misc"
make PAMLIBS="-ldl -lpam -lpam_misc" info

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
make install prefix=$RPM_BUILD_ROOT/usr
for i in date echo stty pwd uname basename sleep ; do
	install -m 755 -o 0 -g 0 -s $RPM_BUILD_ROOT/usr/bin/$i $RPM_BUILD_ROOT/bin
	rm -f $RPM_BUILD_ROOT/usr/bin/$i
done
install -m 4755 -o 0 -g 0 -s $RPM_BUILD_ROOT/usr/bin/su $RPM_BUILD_ROOT/bin
install -m 755 -o 0 -g 0 $RPM_BUILD_ROOT/usr/bin/false $RPM_BUILD_ROOT/bin
install -m 755 -o 0 -g 0 $RPM_BUILD_ROOT/usr/bin/true $RPM_BUILD_ROOT/bin
for i in false true su ; do
	rm -f $RPM_BUILD_ROOT/usr/bin/$i
done

gzip -n -f $RPM_BUILD_ROOT/usr/info/sh-utils.info

rm -f	$RPM_BUILD_ROOT/usr/bin/hostname \
	$RPM_BUILD_ROOT/usr/bin/uptime \
	$RPM_BUILD_ROOT/usr/man/man1/hostname.1 \
	$RPM_BUILD_ROOT/usr/man/man1/uptime.1

rm -f $RPM_BUILD_ROOT/usr/bin/[
ln -s test $RPM_BUILD_ROOT/usr/bin/[

#some files are shell scripts... strip will fail on those
strip $RPM_BUILD_ROOT/usr/bin/* || :

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m644 -o 0 -g 0 ${RPM_SOURCE_DIR}/su.pamd $RPM_BUILD_ROOT/etc/pam.d/su

%post
/sbin/install-info /usr/info/sh-utils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/sh-utils.info.gz /usr/info/dir
fi

%files
%doc NEWS README
%config /etc/pam.d/su
/bin/*
/usr/bin/*
/usr/man/man1/*
/usr/info/sh-utils.info.gz

%clean
rm -rf $RPM_BUILD_ROOT


